package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MemberPrivilegesItem;
import com.ym.mec.biz.dal.page.MemberPrivilegesItemQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface MemberPrivilegesItemService extends BaseService<Integer, MemberPrivilegesItem> {

    void recursiveDel(Integer id);

    PageInfo<MemberPrivilegesItem> queryItemPage(MemberPrivilegesItemQueryInfo queryInfo);

    List<MemberPrivilegesItem> findAllItem(MemberPrivilegesItemQueryInfo queryInfo);

    void updateItem(MemberPrivilegesItem memberPrivilegesItem);

    void add(MemberPrivilegesItem memberPrivilegesItem);
}